--- vorbis-tools.orig/acinclude.m4	Fri Jul 12 18:24:54 2002
+++ vorbis-tools/acinclude.m4	Thu Jan 16 21:22:17 2003
@@ -443,18 +443,28 @@
     CURL_CFLAGS="-I$prefix/include"
   fi
 
-  AC_MSG_CHECKING(for libcurl)
-  no_curl=""
+  if test "x$enable_curltest" = "xyes" ; then
 
+dnl
+dnl Check for curl-config, which we use to configure the CURL_CFLAGS and CURL_LIBS.
+dnl The sed script removes any architecture directives reported by curl-config,
+dnl which are erroneously (?) produced on Mac OS X.
+dnl
+    AC_PATH_PROG(CURL_CONFIG, curl-config, no)
+    if test x$CURL_CONFIG != xno ; then
+      CURL_CFLAGS="$CURL_CFLAGS `$CURL_CONFIG --cflags`"
+      CURL_LIBS="$CURL_LIBS `$CURL_CONFIG --libs | sed 's/\(-arch [[^ ]]* *\)*//'`"
 
-  if test "x$enable_curltest" = "xyes" ; then
-    ac_save_CFLAGS="$CFLAGS"
-    ac_save_LIBS="$LIBS"
-    CFLAGS="$CFLAGS $CURL_CFLAGS"
-    LIBS="$LIBS $CURL_LIBS"
+      ac_save_CFLAGS="$CFLAGS"
+      ac_save_LIBS="$LIBS"
+      CFLAGS="$CFLAGS $CURL_CFLAGS"
+      LIBS="$LIBS $CURL_LIBS"
 dnl
 dnl Now check if the installed libcurl is sufficiently new.
 dnl
+      AC_MSG_CHECKING(for libcurl)
+      no_curl=""
+
       rm -f conf.curltest
       AC_TRY_RUN([
 #include <stdio.h>
@@ -468,53 +478,61 @@
   return 0;
 }
 
+void func ()
+{
+  curl_easy_perform(0);
+}
 ],, no_curl=yes,[echo $ac_n "cross compiling; assumed OK... $ac_c"])
-       CFLAGS="$ac_save_CFLAGS"
-       LIBS="$ac_save_LIBS"
-  fi
-
-  if test "x$no_curl" = "x" ; then
-     AC_MSG_RESULT(yes)
-     ifelse([$1], , :, [$1])     
-  else
-     AC_MSG_RESULT(no)
-     if test -f conf.curltest ; then
-       :
-     else
-       echo "*** Could not run libcurl test program, checking why..."
-       CFLAGS="$CFLAGS $CURL_CFLAGS"
-       LIBS="$LIBS $CURL_LIBS"
-       AC_TRY_LINK([
+      CFLAGS="$ac_save_CFLAGS"
+      LIBS="$ac_save_LIBS"
+      if test "x$no_curl" = "x" ; then
+        AC_MSG_RESULT(yes)
+        ifelse([$1], , :, [$1])     
+      else
+        AC_MSG_RESULT(no)
+        if test -f conf.curltest ; then
+          :
+        else
+          echo "*** Could not run libcurl test program, checking why..."
+          CFLAGS="$CFLAGS $CURL_CFLAGS"
+          LIBS="$LIBS $CURL_LIBS"
+          AC_TRY_LINK([
 #include <stdio.h>
 #include <curl/curl.h>
-],     [ return 0; ],
-       [ echo "*** The test program compiled, but did not run. This usually means"
-       echo "*** that the run-time linker is not finding libcurl or finding the wrong"
-       echo "*** version of libcurl. If it is not finding libcurl, you'll need to set your"
-       echo "*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point"
-       echo "*** to the installed location  Also, make sure you have run ldconfig if that"
-       echo "*** is required on your system"
-       echo "***"
-       echo "*** If you have an old version installed, it is best to remove it, although"
-       echo "*** you may also be able to get things to work by modifying LD_LIBRARY_PATH"],
-       [ echo "*** The test program failed to compile or link. See the file config.log for the"
-       echo "*** exact error that occured. This usually means libcurl was incorrectly installed"
-       echo "*** or that you have moved libcurl since it was installed." ])
-       CFLAGS="$ac_save_CFLAGS"
-       LIBS="$ac_save_LIBS"
-     fi
-     CURL_CFLAGS=""
-     CURL_LIBS=""
-     ifelse([$2], , :, [$2])
+],        [ return 0; ],
+          [ echo "*** The test program compiled, but did not run. This usually means"
+          echo "*** that the run-time linker is not finding libcurl or finding the wrong"
+          echo "*** version of libcurl. If it is not finding libcurl, you'll need to set your"
+          echo "*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point"
+          echo "*** to the installed location  Also, make sure you have run ldconfig if that"
+          echo "*** is required on your system"
+          echo "***"
+          echo "*** If you have an old version installed, it is best to remove it, although"
+          echo "*** you may also be able to get things to work by modifying LD_LIBRARY_PATH"],
+          [ echo "*** The test program failed to compile or link. See the file config.log for the"
+          echo "*** exact error that occured. This usually means libcurl was incorrectly installed"
+          echo "*** or that you have moved libcurl since it was installed." ])
+          CFLAGS="$ac_save_CFLAGS"
+          LIBS="$ac_save_LIBS"
+        fi
+        CURL_CFLAGS=""
+        CURL_LIBS=""
+        ifelse([$2], , :, [$2])
+      fi
+
+    else
+      AC_MSG_RESULT(no)
+    fi
   fi
+
   AC_DEFINE(HAVE_CURL, 1, [Define if you have libcurl.])
 else
   CURL_CFLAGS=""
   CURL_LIBS=""
 fi
-  AC_SUBST(CURL_CFLAGS)
-  AC_SUBST(CURL_LIBS)
-  rm -f conf.curltest
+AC_SUBST(CURL_CFLAGS)
+AC_SUBST(CURL_LIBS)
+rm -f conf.curltest
 ])
 
 

